<div class="grid">
  <div class="col-2">
    <div class="grid filter-group">
      <div class="col-2">
        <button class="filter-button" pButton icon="pi pi-filter"></button>
      </div>
      <div class="col-10">
        <span class="p-input-icon-right">
          <i class="pi pi-search"></i>
          <input class="p-inputtext-sm filter-input" type="text" pInputText>        
      </span> 
      </div>
    </div>
  </div>
  <div class="p-col-10" style="display: flex; align-items: center;">
    <div class="resource-title">
      Resource {{selectedResource}}
    </div>
  </div>
</div>
<div class="grid">
  <div class="col-2">
    <div class="resource-panel">
      <div class="resource-item">
        <p-card [class.active]="selectedResource == 'All'" (click)="changeEvents('All')">
          <p>All</p>
        </p-card>
      </div>
      <div class="resource-item" *ngFor="let resource of resources">
        <p-card [class.active]="resource.name == selectedResource" (click)="changeEvents(resource.name)">
          <p>{{resource.name}}</p>
        </p-card>
      </div>
    </div>  
  </div>
  <div class="col-10">
    <div class="filter-criteria">
      <button class="search-button" pButton icon="pi pi-search"></button>
      <div *ngFor="let filter of filters">
        <button class="search-button" pButton>{{filter.name}}</button>
      </div>
    </div>
    <full-calendar #calendar [options]="calendarOptions"></full-calendar>
    <div style="margin-top: 30px;">
        <div class="grid">
          <!-- *ngFor="let item of legend"
          <div class="col-12 md:col-6 lg:col-2 filter-group">
            <div class={{item.class}}></div>
            <div class="box">
              {{item.name}}
            </div>
          </div> -->
          <div class="col-12 md:col-6 lg:col-2 filter-group">
            <div class="working-hours-div"></div>
            <div class="box">
              Working hours
            </div>
          </div>
          <div class="col-12 md:col-6 lg:col-2 filter-group">
            <div class="appointment-div"></div>
            <div class="box">
              Appointment
            </div>
          </div>
          <div class="col-12 md:col-6 lg:col-2 filter-group">
            <div class="absence-div"></div>
            <div class="box">
              Absence
            </div>
          </div>
          <div class="col-12 md:col-6 lg:col-2 filter-group">
            <div class="bank-holiday-div"></div>
            <div class="box">
              Bank Holiday
            </div>
          </div>
          <div class="col-12 md:col-6 lg:col-2 filter-group">
            <div class="company-event-div"></div>
            <div class="box">
              Company Event
            </div>
          </div>
        </div>
    </div>
  </div>
</div>
